Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class RetainedEventDescriptor

    java.lang.Object
      oracle.ifs.common.RetainedEventDescriptor

    public class RetainedEventDescriptor

extends java.lang.Object

A RetainedEventDescriptor is a struct used by a RetainedEvent to describe the column information for each item in the event's payload.

(Unpublished)

Constructor Summary
`RetainedEventDescriptor(java.lang.String name, int type)` Construct a RetainedEventDescriptor
`RetainedEventDescriptor(java.lang.String name, int type, int size)` Construct a RetainedEventDescriptor

Method Summary
`java.lang.String` | `getColumnName()` Get the column name
`int` | `getColumnSize()` Get the column size
`int` | `getColumnType()` Get the column type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetainedEventDescriptor

    public RetainedEventDescriptor(java.lang.String name,
                                   int type)

  Construct a RetainedEventDescriptor

  Parameters:
    `name` - the column name
    `type` - the column type

### RetainedEventDescriptor

    public RetainedEventDescriptor(java.lang.String name,
                                   int type,
                                   int size)

  Construct a RetainedEventDescriptor

  Parameters:
    `name` - the column name
    `type` - the column type
    `size` - the column size

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Description copied from class: `RetainedEventDescriptor`
  Get the column name

  Returns:
    the column name

### getColumnType

    public int getColumnType()

  Description copied from class: `RetainedEventDescriptor`
  Get the column type

  Returns:
    the column type

### getColumnSize

    public int getColumnSize()

  Description copied from class: `RetainedEventDescriptor`
  Get the column size

  Returns:
    the column size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD